@import '../../styles/variables';
@import '../../styles/mixins';

.cui-icon {
  display: inline-flex;
  flex-shrink: 0;
  vertical-align: middle;

  svg-icon {
    display: inline-flex;
  }

  // ----- sizes

  @mixin size($size) {
    &[data-cui-size='#{$size}'] {
      font-size: cui-height($size) * 0.5;
    }
  }

  @include size('xs');
  @include size('s');
  @include size('m');
  @include size('l');
  @include size('xl');
}
